Subject: 23.1; --script and stack-trace-on-error
From: Tom Tromey <[email-masked]>
To: [email-masked]
Date: Fri, 21 Aug 2009 16:38:21 -0600

Please write in English if possible, because the Emacs maintainers
usually do not have translators to read other languages for them.

Your bug report will be posted to the [email-masked] mailing list,
and to the gnu.emacs.bug news group.

Please describe exactly what actions triggered the bug
and the precise symptoms of the bug:

I have a script that I run using emacs --script.  When writing the
script, I get errors on occasion.  It would be very useful if
stack-trace-on-error worked in this situation.  Currently it does not.

If Emacs crashed, and you have the Emacs process in the gdb debugger,
please include the output from the following gdb commands:
    `bt full' and `xbacktrace'.
If you would like to further debug the crash, please read the file
/usr/share/emacs/23.1/etc/DEBUG for instructions.

In GNU Emacs 23.1.1 (i386-redhat-linux-gnu, GTK+ Version 2.16.5)
 of 2009-08-03 on x86-5.fedora.phx.redhat.com
Windowing system distributor `The X.Org Foundation', version 11.0.10601901
configured using `configure  '--build=i386-redhat-linux-gnu' '--host=i386-redhat-linux-gnu' '--target=i586-redhat-linux-gnu' '--program-prefix=' '--prefix=/usr' '--exec-prefix=/usr' '--bindir=/usr/bin' '--sbindir=/usr/sbin' '--sysconfdir=/etc' '--datadir=/usr/share' '--includedir=/usr/include' '--libdir=/usr/lib' '--libexecdir=/usr/libexec' '--localstatedir=/var' '--sharedstatedir=/var/lib' '--mandir=/usr/share/man' '--infodir=/usr/share/info' '--with-dbus' '--with-gif' '--with-jpeg' '--with-png' '--with-rsvg' '--with-tiff' '--with-xft' '--with-xpm' '--with-x-toolkit=gtk' 'build_alias=i386-redhat-linux-gnu' 'host_alias=i386-redhat-linux-gnu' 'target_alias=i586-redhat-linux-gnu' 'CFLAGS=-DMAIL_USE_LOCKF -O2 -g -pipe -Wall -Wp,-D_FORTIFY_SOURCE=2 -fexceptions -fstack-protector --param=ssp-buffer-size=4 -m32 -march=i586 -mtune=generic -fasynchronous-unwind-tables''

Important settings:
  value of $LC_ALL: nil
  value of $LC_COLLATE: nil
  value of $LC_CTYPE: nil
  value of $LC_MESSAGES: nil
  value of $LC_MONETARY: nil
  value of $LC_NUMERIC: nil
  value of $LC_TIME: nil
  value of $LANG: en_US.UTF-8
  value of $XMODIFIERS: nil
  locale-coding-system: utf-8-unix
  default-enable-multibyte-characters: t

Major mode: Emacs-Lisp

Minor modes in effect:
  erc-list-mode: t
  erc-menu-mode: t
  erc-autojoin-mode: t
  erc-ring-mode: t
  erc-pcomplete-mode: t
  erc-track-mode: t
  erc-track-minor-mode: t
  erc-match-mode: t
  erc-button-mode: t
  erc-fill-mode: t
  erc-stamp-mode: t
  erc-netsplit-mode: t
  erc-spelling-mode: t
  erc-truncate-mode: t
  diff-auto-refine-mode: t
  shell-dirtrack-mode: t
  highlight-changes-visible-mode: t
  flyspell-mode: t
  eldoc-mode: t
  erc-status-mode: t
  erc-services-mode: t
  erc-networks-mode: t
  erc-irccontrols-mode: t
  erc-noncommands-mode: t
  erc-move-to-prompt-mode: t
  erc-readonly-mode: t
  tooltip-mode: t
  mouse-wheel-mode: t
  file-name-shadow-mode: t
  global-font-lock-mode: t
  font-lock-mode: t
  global-auto-composition-mode: t
  auto-composition-mode: t
  auto-encryption-mode: t
  auto-compression-mode: t
  line-number-mode: t
  transient-mark-mode: t

Recent input:
h e r M-b M-l SPC l i s p SPC v a r s M-b M-b s t a 
t i c p r o ' d SPC C-e <return> ( d o l i s t SPC 
( v SPC s p e c M-/ ) <return> ( i n M-/ SPC ( c o 
n s SPC v SPC v ) ) ) C-f C-f C-o <tab> ; ; SPC n o 
n - g c - p r o f <backspace> ' d s <M-backspace> <M-backspace> 
<M-backspace> s t a t M-/ C-g i <backspace> p r o s 
' <backspace> <backspace> <M-backspace> C-/ ' d SPC 
s t u f f C-x C-s C-l C-z o <f10> <f10> <f10> <switch-frame> 
<switch-frame> C-z o C-z o <switch-frame> <switch-frame> 
C-z o C-a C-v M-v M-v M-v C-v C-v M-< M-> M-< C-z o 
<f10> <f10> C-z o C-v C-u C-n C-n C-M-f C-a C-u C-u 
C-n C-u C-u C-n C-l M-< C-u C-n C-u C-p C-o C-o ( s 
t <backspace> e t q SPC s t a c k - t r ESC TAB SPC 
t ) C-x C-s <switch-frame> C-z o C-v M-v C-v C-v C-l 
C-u C-p C-p C-e C-u C-p C-p C-p C-d " L I M-/ M-/ M-/ 
" C-x C-s <switch-frame> <f10> C-c b <help-echo> <switch-frame> 
M-< M-x r e p o r t C-g M-f M-f C-h v <return> C-x 
1 C-h f b a c k <tab> t r <tab> <tab> <return> C-z 
o <f10> <f10> C-z o C-x 1 C-v C-v M-> C-f M-< M-x r 
e p o r t - e m <tab> b <tab> <M-backspace> <tab> b 
<tab> C-g C-v C-v M-x r e p o r t - e m <tab> b <tab> 
<return>

Recent messages:
Wrote /home/tromey/gnu/Emacs/git-emacs/emacs/src/x-defvar.el
Mark set
Quit
Type C-x 1 to delete the help window.
Making completion list... [2 times]
Type C-x 1 to delete the help window.
Mark set
call-interactively: End of buffer
Mark set
Making completion list...
Quit
Tom